Mailinglist Archive: opensuse-factory (745 mails)

< Previous Next >
[opensuse-factory] TW zypper dup errors trying to remove older package verision not installed
  • From: Trey Sizemore <trey@xxxxxxxxxxx>
  • Date: Fri, 26 Jan 2018 12:04:01 -0500
  • Message-id: <20180126120401.2c51f29f@lizard>
Hi all-

Doing a 'zypper dup --no-allow-vendor-change' on my TW box after a week
or so since my last run of the command.

It is erroring out with:
Checking for file
conflicts:
............................................................................................................................................................................................................................................................[done]
( 1/1099) Removing appstream-glib-0.7.4+git.3-1.2.x86_64
.............................................................................................................................................................................................................................[error]
Removal of (124438)appstream-glib-0.7.4+git.3-1.2.x86_64(@System)failed:
Error: Subprocess failed. Error: RPM failed: error: package
appstream-glib-0.7.4+git.3-1.2.x86_64 is not installed


I have the newer version of the package installed () so not sure why
it's attempting to remove the older (or thinks it's installed).

How do I have the update database have an accurate inventory of all
currently installed packages? 'zypper ref' and 'zypper dup' both run
but leave me with the same situation described.

My repo list is as follows:

# | Alias | Name |
Enabled | GPG Check | Refresh
---+-------------------------------------+-----------------------------+---------+-----------+--------
1 | http-download.opensuse.org-15e082e8 | network:telephony | Yes
| (r ) Yes | Yes
2 | http-download.opensuse.org-3f1ff346 | home:darix:playground | Yes
| (r ) Yes | Yes
3 | http-download.opensuse.org-4bc511e1 | openSUSE:Tumbleweed | Yes
| (r ) Yes | Yes
4 | http-download.opensuse.org-79355167 | network:telephony | Yes
| (r ) Yes | Yes
5 | http-download.opensuse.org-9ae3a832 | security | Yes
| (r ) Yes | Yes
6 | openSUSE-20171222-0 | openSUSE-20171222-0 | No
| ---- | ----
7 | packman | packman | Yes
| (r ) Yes | Yes
8 | repo-debug | openSUSE-Tumbleweed-Debug | No
| ---- | ----
9 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes
| (r ) Yes | Yes
10 | repo-oss | openSUSE-Tumbleweed-Oss | Yes
| (r ) Yes | Yes
11 | repo-source | openSUSE-Tumbleweed-Source | No
| ---- | ----
12 | repo-update | openSUSE-Tumbleweed-Update | Yes
| (r ) Yes | Yes
13 | skype-stable | skype (stable) | Yes
| (r ) Yes | Yes

Thanks!

--
Cheers,
Trey
----

I've touch'd the highest point of all my greatness;
And from that full meridian of my glory
I haste now to my setting. I shall fall,
Like a bright exhalation in the evening
And no man see me more.
-- Shakespeare

Linux lizard 4.14.13-1-default x86_64
11:54:14 up 15:29, 1 user, load average: 0.36, 0.20, 0.12
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups